Search invoices
curl --request POST \
--url https://api.salesbricks.com/api/v2/invoices/search \
--header 'Content-Type: application/json' \
--header 'X-SALESBRICKS-KEY: <api-key>' \
--data '
{
"invoice_numbers": [
"<string>"
],
"invoice_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.salesbricks.com/api/v2/invoices/search"
payload = {
"invoice_numbers": ["<string>"],
"invoice_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"X-SALESBRICKS-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-SALESBRICKS-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
invoice_numbers: ['<string>'],
invoice_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
customer_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.salesbricks.com/api/v2/invoices/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subscription_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_number": "<string>",
"due_at": "2023-11-07T05:31:56Z",
"bill_at": "2023-11-07T05:31:56Z",
"issued_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"fully_paid_at": "2023-11-07T05:31:56Z",
"grand_total": 123,
"remaining_amount": 123,
"currency": "<string>",
"is_renewal_estimate": true,
"time_zone": "<string>",
"payments": [
{
"payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_number": "<string>",
"invoice_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paid_amount": 123,
"paid_at": "2023-11-07T05:31:56Z",
"currency": "<string>",
"error": "<string>"
}
],
"attachments": [
"<unknown>"
],
"line_items": [
{
"brick_name": "<string>",
"brick_id": "<string>",
"quantity": 123,
"tax": 123,
"grand_total": 123
}
]
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}{
"error": {
"message": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Invoices
Search invoices
Search for invoices by invoice number, invoice ID, or customer ID. At least one search parameter must be provided. Pagination is handled via query params (limit, offset).
POST
/
invoices
/
search
Search invoices
Authorizations
API key for authentication
Query Parameters
Number of results to return per page.
The initial index from which to return the results.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
⌘I